/**
   This interface represents a "color field"
   in three dimensional space. The three
   functions r(x,y,z), g(x,y,z), b(x,y,z)
   determine the color of the point (x,y,z).

   Use an implementation of this interface to
   create a shader that colors fragments using
   the r() g() and b() functions.
*/
public interface ColorFunctor
{
   public double r(double x, double y, double z);

   public double g(double x, double y, double z);

   public double b(double x, double y, double z);
}